ReceiptWriter (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.message.ReceiptWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class ReceiptWriter

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacketWriter
          org.codehaus.activemq.message.ReceiptWriter

All Implemented Interfaces:
  PacketWriter

Direct Known Subclasses:
  IntResponseReceiptWriter, ResponseReceiptWriter

public class ReceiptWriter
extends AbstractPacketWriter

Writes a ConsumerInfo object to a Stream

Constructor Summary
`ReceiptWriter()`

Method Summary
`int` | `getPacketType()` Return the type of Packet
`void` | `writePacket(Packet packet, DataOutput dataOut)` Write a Packet instance to data output stream

Methods inherited from class org.codehaus.activemq.message.AbstractPacketWriter
`canWrite, writeObject, writePacketToByteArray, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReceiptWriter

    public ReceiptWriter()

Method Detail

### getPacketType

    public int getPacketType()

  Return the type of Packet

  Returns:
    integer representation of the type of Packet

### writePacket

    public void writePacket(Packet packet,
                            DataOutput dataOut)
                     throws IOException

  Write a Packet instance to data output stream

  Specified by:
    `writePacket` in interface `PacketWriter`
  Overrides:
    `writePacket` in class `AbstractPacketWriter`
  Parameters:
    `packet` - the instance to be seralized
    `dataOut` - the output stream
  Throws:
    `IOException` - thrown if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.